import { SvgIconProps } from "../../app/types/types";


export function YoutubeIcon(props: SvgIconProps) {
  return (
    <svg xmlns="http://www.w3.org/2000/svg" width="23.918" height="26.576" viewBox="0 0 23.918 26.576" {...props}>
      <path
        id="surface1"
        d="M6.529,2,8.315,8.644V12.63H9.644V8.644L11.555,2H10.141L9.1,6.152H8.98L8.024,2Zm7.807,2.658a2.113,2.113,0,0,0-1.495.539A1.761,1.761,0,0,0,12.3,6.568v3.944a2.15,2.15,0,0,0,.539,1.536,1.931,1.931,0,0,0,1.454.582,1.91,1.91,0,0,0,1.454-.539,2.158,2.158,0,0,0,.539-1.536V6.608a1.852,1.852,0,0,0-1.953-1.951Zm3.281,0v6.519a2.075,2.075,0,0,0,.25,1.122.784.784,0,0,0,.7.332,1.689,1.689,0,0,0,.832-.25,2.907,2.907,0,0,0,.789-.7v.954H21.6V4.658H20.274v5.855a2.586,2.586,0,0,1-.582.416.706.706,0,0,1-.372.166.351.351,0,0,1-.292-.125.756.756,0,0,1-.082-.416v-5.9ZM14.295,5.986a.8.8,0,0,1,.5.125.547.547,0,0,1,.166.415v4.152a.617.617,0,0,1-.166.457.689.689,0,0,1-.5.166.7.7,0,0,1-.5-.166.66.66,0,0,1-.166-.457V6.526a.59.59,0,0,1,.166-.415.814.814,0,0,1,.5-.125ZM5.658,13.959A2.662,2.662,0,0,0,3,16.617v9.3a2.662,2.662,0,0,0,2.658,2.658h18.6a2.662,2.662,0,0,0,2.658-2.658v-9.3a2.662,2.662,0,0,0-2.658-2.658Zm-.125,1.329h4.2a.163.163,0,0,1,.165.166v1.2a.173.173,0,0,1-.165.166H8.481v8.969a.187.187,0,0,1-.166.166H6.986a.187.187,0,0,1-.166-.166V16.824H5.533a.174.174,0,0,1-.166-.166v-1.2A.164.164,0,0,1,5.533,15.288Zm9.426,0h1.329a.174.174,0,0,1,.166.166v3.031a2.7,2.7,0,0,1,.332-.248,2.239,2.239,0,0,1,.83-.291,1.31,1.31,0,0,1,1.122.539,3.811,3.811,0,0,1,.207,1.786V24.59a1.307,1.307,0,0,1-1.329,1.454,1.968,1.968,0,0,1-.83-.209,1.742,1.742,0,0,1-.332-.248v.166a.187.187,0,0,1-.166.166H14.959a.187.187,0,0,1-.166-.166v-10.3A.174.174,0,0,1,14.959,15.288ZM9.644,17.946h1.329a.187.187,0,0,1,.166.166V24.05c0,.259.088.373.207.373a2.034,2.034,0,0,0,.789-.457V18.112a.187.187,0,0,1,.166-.166H13.63a.174.174,0,0,1,.166.166v7.641a.174.174,0,0,1-.166.166H12.3a.174.174,0,0,1-.166-.166v-.416a3.47,3.47,0,0,1-1.536.707.957.957,0,0,1-.83-.416,1.634,1.634,0,0,1-.291-1.038V18.112A.187.187,0,0,1,9.644,17.946Zm12.541,0a1.829,1.829,0,0,1,1.495.623,2.485,2.485,0,0,1,.581,1.7v1.661c0,.078-.047.166-.125.166H21.6v1.579c0,1.167,1.329,1.136,1.329.082v-.5c0-.078.016-.161.125-.166l1.038-.041a.174.174,0,0,1,.166.166v.539a2.055,2.055,0,0,1-2.159,2.2,2.124,2.124,0,0,1-1.911-2.242V20.271a2.031,2.031,0,0,1,1.993-2.325Zm.124,1.329a.579.579,0,0,0-.456.166,1.27,1.27,0,0,0-.084.582V20.6h1.038v-.582a1,1,0,0,0-.124-.581.578.578,0,0,0-.376-.166Zm-5.273.166a.619.619,0,0,0-.375.041.752.752,0,0,0-.207.166V24.34a1.018,1.018,0,0,0,.25.166.528.528,0,0,0,.248.084c.171,0,.457-.016.457-.5v-4.07a.7.7,0,0,0-.125-.456.323.323,0,0,0-.25-.125Z"
        transform="translate(-3 -2)"
        fill="#fff"
      ></path>
    </svg>
  )
}
